package net.northking.cctp.dw.enums;

/**
 * @author: puchao.ma
 * @date: 2021/12/31 11:17
 */
public enum ProgressType {
    CASE_DESIGN(1, "用例设计"),
    TEST_POINT(2, "需求分析"),
    CASE_EXEC(3, "用例执行"),
    OVERALL_TEST(4, "总体测试");


    private final Integer code;

    private final String msg;

    ProgressType(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static ProgressType getProgressType(Integer code) {
        for (ProgressType value : ProgressType.values()) {
            if (value.code.equals(code)) {
                return value;
            }
        }
        return null;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
